<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	
<style>
.fixedSizePointCard,.fixedCountPointCard{
	width:400px;
	display:inline-block;
}
#diySizePointCard,#diyCountPointCard{
	width:400px;
	display:inline-block;
}
.fixedSizePointCard .layui-input,.fixedCountPointCard .layui-input{
	width:100%
}
.fixedSizePointCard .layui-edge,.fixedCountPointCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="积分卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸">
</div>
<p>
	规格	
</p>
<div class="layui-form-item fixedSizePointCard">
	<select name="size" id="fixedSizePointCard" class="select">
		<option value="11*9">11*9 cm</option>
		<option value="9*5.4">9*5.4 cm</option>
	</select>
</div>
<span class="diySizePointCard" style="display:none">
	<input type="text" name="size" id="diySizePointCard" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
</span>
<input type="checkbox" name="switchSize" class="switchSizePointCard" lay-filter="switchSizePointCard" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span> 
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountPointCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountPointCard" style="display:none">
	<input type="text" name="count" id="diyCountPointCard" placeholder="请输入整数" autocomplete="off"
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount" lay-filter="switchCountPointCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberPointCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>
<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	    
	    $('.switchSizePointCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizePointCard)', function(data) {
			if(data.elem.checked){
				 $('.switchSizePointCard').val("on")
				$(".diySizePointCard").show();
				$(".fixedSizePointCard").hide();
				$(".diySizePointCard").find(":input").attr("disabled", false);
				$(".fixedSizePointCard").find(":input").attr("disabled", true);
			} else {
				 $('.switchSizePointCard').val("off")
				$(".fixedSizePointCard").show();
				$(".diySizePointCard").hide();
				$(".fixedSizePointCard").find(":input").attr("disabled", false);
				$(".diySizePointCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountPointCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountPointCard").show();
				$(".fixedCountPointCard").hide();
				$(".diyCountPointCard").find(":input").attr("disabled", false);
				$(".fixedCountPointCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountPointCard").show();
				$(".diyCountPointCard").hide();
				$(".fixedCountPointCard").find(":input").attr("disabled", false);
				$(".diyCountPointCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>